//#########################################################################
// File: MYDEFS.H
//
//
//#########################################################################
// Last change: 01.05.2003
//#########################################################################
// Compiler: AVR-GCC 3.2
//#########################################################################


#ifndef __MYDEFS_H
#define __MYDEFS_H

#define F_DEBUG
//#undef F_DEBUG

//#define F_8   
#define F_11059
//#define F_16

#ifdef F_8
 #define F_CPU      8000000    //processor clock
#endif

#ifdef F_16
 #define F_CPU      16000000    //processor clock
#endif

#ifdef F_11059
 #define F_CPU      11059200    //processor clock
#endif

#define TIME_OUT   20 * F_CPU / 65536    	

#define NOP() asm volatile ("nop" ::)

//Die beiden LED's
#define RED_ON() { cbi(PORTD,7); }
#define RED_OFF() { sbi(PORTD,7); }

#define GREEN_ON() { cbi(PORTD,6); }
#define GREEN_OFF() { sbi(PORTD,6); }

#define EOT	0x04 //End of Transmission

//#define MODE	bit_is_set(PINA,PA0)

#endif //__MYDEFS_H
