//###########################################################
// File: dumpsect.c
//
//#########################################################################
// Last change: 06.03.2004
//#########################################################################
// hk@holger-klabunde.de
// http://www.holger-klabunde.de/index.html
//#########################################################################
// Compiler: AVR-GCC 3.2
//#########################################################################

#include <io.h>

#include "mydefs.h"
#include "protos.h"
#include "dos.h"
#include "serial.h"

//######################################################
void DumpSector(unsigned char *buf)
//######################################################
{
 unsigned int i;
 unsigned char by,j;
 unsigned char *p;

 p=buf;
 
 for(i=0; i<BYTE_PER_SEC; i++)
  {
   by=*p++;

   if(bmode==0)
    {
     ser_puthex(by);
     if(i%16==15)
      {
       putchar(' ');
       putchar(' ');
       for(j=0; j<16; j++)
        {
         by=p[-16+j];
         if(by<0x20) by='.';
         putchar(by);
        }
      
       puts("\n");
      }
    } 
   else ser_putc(by);
  }
}
